Bug 1462269 - Empty page on Cloud Volume page
Empty page on Cloud Volume page
Status: POST
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Storage (Show other bugs)
Unspecified Unspecified
medium Severity urgent
: GA
: 6.0.0
Assigned To: Sam Lucidi
Ola Pavlenko
: TestOnly
: 1533057 (view as bug list)
Depends On:
Blocks: 1530716 1530717
  Show dependency treegraph
Reported: 2017-06-16 10:47 EDT by Oleksandr Kolisnyk
Modified: 2018-03-16 10:22 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1530716 1530717 (view as bug list)
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: Openstack

Attachments (Terms of Use)
page screen (60.76 KB, image/png)
2017-06-16 10:47 EDT, Oleksandr Kolisnyk
no flags Details
cloud volume role features for role Eqnx-Clientes (24.33 KB, image/png)
2017-11-23 10:47 EST, myoder
no flags Details
compute infra role settings (22.11 KB, image/png)
2017-11-24 10:54 EST, myoder
no flags Details

  None (edit)
Description Oleksandr Kolisnyk 2017-06-16 10:47:33 EDT
Created attachment 1288386 [details]
page screen

Description of problem:
Cloud volume page shows no info

Version-Release number of selected component (if applicable): and RHOS 10

How reproducible:

Steps to Reproduce:
1. Go Storage -> Volumes
2. Click on and existing volume

Actual results:
Volume page shows no info (attach)

Expected results:
Appropriate info is displayed

Additional info:
Comment 2 Oleksandr Kolisnyk 2017-06-16 10:55:58 EDT
UPD. 'Detach volume from instance' is empty too, I think it is the same as in a topic

1. Open any volume page
2. Click Configuration -> Detach this Cloud Volume from an Instance

As result - empty page
Comment 3 Scott Seago 2017-11-16 11:36:58 EST
I can't reproduce this on either 5.7 or on master -- is this still happening?
Comment 4 Jerry Keselman 2017-11-21 12:07:23 EST
I cannot reproduce this either.  Please let us know if this is still happening for you.  Thanks!
Comment 7 myoder 2017-11-23 10:47 EST
Created attachment 1358265 [details]
cloud volume role features for role Eqnx-Clientes
Comment 9 myoder 2017-11-24 10:54 EST
Created attachment 1358691 [details]
compute infra role settings
Comment 25 Tim Wade 2017-12-20 15:16:29 EST
Just to answer the NEEDINFO, I believe the issue was that read access for individual cloud volumes required more privileges than necessary. I've made a PR above to address this.
Comment 26 Sam Lucidi 2017-12-20 15:38:33 EST
It looks like the other half of this issue is related to the 'providers' api endpoint. The cloud volume form calls to it to request a list of providers/managers with storage capabilities, but fails if the user doesn't have ems_infra permissions. 

Looking at https://github.com/imtayadeway/manageiq-api/blob/cebbdc102cd87d0d5120ca35c8571132f7e530eb/config/api.yml#L1856 it appears that the providers endpoint uses all ems_infra related roles. I'm not sure if the issue is that the required permissions are incorrect, if it's the wrong endpoint to use to list storage managers on this form, or if it's just misaligned expectations.
Comment 27 CFME Bot 2017-12-20 17:05:29 EST
New commit detected on ManageIQ/manageiq-api/master:

commit cebbdc102cd87d0d5120ca35c8571132f7e530eb
Author:     Tim Wade <hello@timjwade.com>
AuthorDate: Wed Dec 20 11:45:35 2017 -0800
Commit:     Tim Wade <hello@timjwade.com>
CommitDate: Wed Dec 20 11:45:35 2017 -0800

    Only require read priviliges to show cloud volumes
    It looks like the RBAC identifier needed for `CloudVolumes#show` has
    been configured incorrectly as `cloud_volume` - the parent of all
    cloud volumes. Hence, it requires a user to have all priviliges just
    to view individual cloud volumes. Changing this to `cloud_volume_show`
    should allow read-only access for users that don't have full
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1462269

 config/api.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 32 Tim Wade 2018-03-13 13:55:52 EDT
*** Bug 1533057 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.